package com.sencorsta.rabs;

import org.opencv.core.CvType;
import org.opencv.core.Mat;

public class OpenCVtest {
    public static void main(String[] args) {
        try {
            // 方式1
            System.load(System.getProperty("user.dir") + "\\opencv\\x64\\opencv_java490.dll");
            // 方式2
            // 需要 jvm 参数 -Djava.library.path=D:\\resource\\develop\\opencv\\build\\java\\x64
            // 也可以将该 dll 复制到工程目录下, 通过代码修改添加依赖目录
//			Starter.addLibraryDir(System.getProperty("user.dir") + "\\lib");
//			System.loadLibrary(Core.NATIVE_LIBRARY_NAME);
            // 测试代码
            Mat mat = Mat.eye(3, 3, CvType.CV_8UC1);
            System.out.println("mat.dump() = " + mat.dump());
        } catch (Throwable cause) {
            cause.printStackTrace();
        }
    }
}
